window.requestAnimFrame = (function(callback) {
     return window.requestAnimationFrame 
             || window.webkitRequestAnimationFrame 
             || window.mozRequestAnimationFrame 
             || window.oRequestAnimationFrame 
             || window.msRequestAnimationFrame ||
     function(callback) {
       window.setTimeout(callback, 1000 / 60);
     };
})();
   
   
   
function onBodyLoad()
{
   //if phonegap, need to toggle these
   
   if (typeof navigator.device == "undefined")
   {
      //if (navigator.userAgent.match(/(iPhone|iPod|iPad|Android|BlackBerry)/)) <-- alternate and used in fusion.js
      document.addEventListener("deviceready", onDeviceReady, false);
   }
   else
   {
      onDeviceReady();
   }

   $(window).resize(function()
   {
      fusionResizeWindows('windowresize');
   });
   
   $(document).bind('touchmove',function(e)
   {
      e.preventDefault();
   });
   
   
   
}

function onDeviceReady()
{
   phonegapReady = true;

   if (fusionQueryString('browser') == '1')
   {
      fusionBrowser = true;
      phonegapReady = false;
   }

   if (cordova.platformId === 'android') {
      if (window.StatusBar !== undefined)
      {
         window.StatusBar.backgroundColorByHexString("#B20B15");
      }
   }

   window.addEventListener("orientationchange", orientationchange, true);
   document.addEventListener("backbutton", fusionBackButton, false);
   
   window.addEventListener('native.keyboardshow', fusionOnShowKeyboard, false);
    
   setTimeout(function()
   {
      fusionStart();
   }, 20);
}

$(document).ready(function()
{
   if (fusionQueryString('browser') == '1')
   {
      if(fusionHasSqliteSupport() === false)
      {
         fusionAlert(infoMessage40, '', fusionStringOk);  
      }
      
      setTimeout(function()
      {
         fusionStart();
      }, 20);
   }
});

function orientationchange(e)
{
   fusionResizeWindows('orientationchange');

   return;
}


$(window).on('beforeunload', function() {
    fusionOnReload();
});